package org.codehaus.groovy.grails.plugins.springsecurity.acl

import org.springframework.security.acls.objectidentity.ObjectIdentity
import org.springframework.security.acls.objectidentity.ObjectIdentityImpl
import org.springframework.security.acls.objectidentity.ObjectIdentityRetrievalStrategy

class GormObjectIdentityRetrievalStrategy implements ObjectIdentityRetrievalStrategy {

	/**
	 * {@inheritDoc}
	 * @see org.springframework.security.acls.objectidentity.ObjectIdentityRetrievalStrategy#getObjectIdentity(
	 * 	java.lang.Object)
	 */
	ObjectIdentity getObjectIdentity(domainObject) {
		new ObjectIdentityImpl(domainObject.getClass(), domainObject.id)
	}
}
