package org.codehaus.groovy.grails.plugins.springsecurity.acl;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Annotation for Controllers or Services at the class level or per-action/per-method,
 * defining what roles and/or ACL voters are required for the entire controller or action.
 */
@Target({ElementType.FIELD, ElementType.METHOD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Inherited
@Documented
public @interface AclVoter {

	String name();
   String configAttribute();
   String[] permissions() default { "READ" }; 
}
